%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-Glob
Version:       0.10.2
Release:       1mamba
Summary:       GHC Glob: Globbing library
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        https://hackage.haskell.org/package/Glob-%{version}/Glob-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-dlist-devel
BuildRequires: ghc-libs
BuildRequires: ghc-transformers-compat-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n Glob-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE.txt

%files devel -f %{name}-devel.files
%defattr(-,root,root)
%doc CHANGELOG.txt README.txt

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE.txt
%endif

%changelog
* Sat Dec 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-1mamba
- package created using the webbuild interface
